Skip to main content
PATCH
Spree Admin SDK

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Stock location ID

Body

application/json
name
string
admin_name
string | null
active
boolean
default
boolean
kind
enum<string>
Available options:
warehouse,
store,
fulfillment_center
propagate_all_variants
boolean
backorderable_default
boolean
address1
string | null
address2
string | null
city
string | null
zipcode
string | null
phone
string | null
company
string | null
country_iso
string | null
state_abbr
string | null
state_name
string | null
pickup_enabled
boolean
pickup_stock_policy
enum<string>
Available options:
local,
any
pickup_ready_in_minutes
number | null
Required range: x >= 0
pickup_instructions
string | null

Response

stock location updated

id
string
required
state_abbr
string | null
required
name
string
required
address1
string | null
required
city
string | null
required
zipcode
string | null
required
country_iso
string | null
required
country_name
string | null
required
state_text
string | null
required
admin_name
string | null
required
address2
string | null
required
state_name
string | null
required
phone
string | null
required
company
string | null
required
active
boolean
required
default
boolean
required
backorderable_default
boolean
required
propagate_all_variants
boolean
required
kind
string
required
pickup_enabled
boolean
required
pickup_stock_policy
string
required
pickup_ready_in_minutes
number | null
required
pickup_instructions
string | null
required
created_at
string
required
updated_at
string
required